Skip to main content

Disaster Recovery

View as Markdown

Failover a Failover Group to a new primary region GA

POST /api/disaster-recovery/v1/{name=accounts/*/failover-groups/*}/failover

Initiate a failover to a new primary region.

API scopes: disaster-recovery

CloudsAWSAzure

Parameters

namestringRequiredpath

The fully qualified resource name of the failover group to failover. Format: accounts/{account_id}/failover-groups/{failover_group_id}.

Request body

target_primary_regionstringRequired

The target primary region. Must be one of the participating regions and different from the current effective_primary_region. Serves as an idempotency check.

etagstring

Opaque version string for optimistic locking. If provided, must match the current etag. If omitted, the failover proceeds regardless of current state.

failover_typestringRequired

The type of failover to perform.

Values: FAILOVER_TYPE_UNSPECIFIED, FORCED

Response

namestringImmutable

Fully qualified resource name in the format accounts/{account_id}/failover-groups/{failover_group_id}.

effective_primary_regionstringOutput only

Current effective primary region. Replication flows FROM workspaces in this region. Changes after a successful failover.

regionsarray of stringRequiredImmutable

List of all regions participating in this failover group.

workspace_setsarray of objectRequired

Workspace sets, each containing workspaces that replicate to each other.

Show child attributesHide child attributes
namestringRequired

Resource name for this workspace set.

Example: accounting

workspace_idsarray of stringRequired

Workspace IDs in this set. The system derives and validates regions. All workspaces must be in the Mission Critical tier.

replicate_workspace_assetsboolean

Whether to enable control plane DR (notebooks, jobs, clusters, etc.) for this set. Defaults to false.

stable_url_namesarray of string

Resource names of stable URLs associated with this workspace set. Format: accounts/{account_id}/stable-urls/{stable_url_id}. The referenced stable URLs must already exist (via CreateStableUrl).

unity_catalog_assetsobject

Unity Catalog replication configuration.

Show child attributesHide child attributes
location_mappingsarray of object

Location mappings - storage URI per region for each location.

Show child attributesHide child attributes
namestringRequired

Resource name for this location.

Example: main-storage

uri_by_regionarray of objectRequired

URI for each region. Each entry maps a region name to a storage URI.

Show child attributesHide child attributes
regionstringRequired

The region name.

Example: us-east-1

uristringRequired

The storage URI for this region.

Example: s3://east/data

catalogsarray of objectRequired

UC catalogs to replicate.

Show child attributesHide child attributes
namestringRequired

The name of the UC catalog to replicate.

data_replication_workspace_setstringRequired

The workspace set whose workspaces will be used for data replication of all UC catalogs' underlying storage.

Example: accounting

statestringOutput only

Aggregate state of the failover group.

Values: STATE_UNSPECIFIED, CREATING, CREATION_FAILED, INITIAL_REPLICATION, ACTIVE, FAILING_OVER, DELETING, FAILOVER_FAILED, DELETION_FAILED

etagstringOutput only

Opaque version string for optimistic locking. Server-generated and returned in responses.

create_timestringOutput only

Time at which this failover group was created.

update_timestringOutput only

Time at which this failover group was last modified.

replication_pointstringOutput only

The latest point in time to which data has been replicated.